aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorEivind Uggedal <eivind@uggedal.com>2015-09-17 08:25:08 +0000
committerEivind Uggedal <eivind@uggedal.com>2015-09-17 08:30:07 +0000
commit1d40ba2d3afcd1078ca6825768c94dabf58daaad (patch)
treef20dd7a558cddb10a11f006a84ab12dfbb29234c
parentd92c74c936552083170f836823c7484079e6d548 (diff)
downloadaports-1d40ba2d3afcd1078ca6825768c94dabf58daaad.tar.gz
aports-1d40ba2d3afcd1078ca6825768c94dabf58daaad.tar.bz2
aports-1d40ba2d3afcd1078ca6825768c94dabf58daaad.tar.xz
main/font-sun-misc: upgrade to 1.0.3
-rw-r--r--main/font-sun-misc/APKBUILD23
1 files changed, 19 insertions, 4 deletions
diff --git a/main/font-sun-misc/APKBUILD b/main/font-sun-misc/APKBUILD
index a284344785..9e72ba660d 100644
--- a/main/font-sun-misc/APKBUILD
+++ b/main/font-sun-misc/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=font-sun-misc
-pkgver=1.0.0
-pkgrel=3
+pkgver=1.0.3
+pkgrel=0
pkgdesc="X.org misc font"
url="http://xorg.freedesktop.org/"
arch="all"
@@ -11,6 +11,11 @@ makedepends="font-util-dev bdftopcf"
install=
source="http://xorg.freedesktop.org/releases/individual/font/$pkgname-$pkgver.tar.bz2"
+prepare() {
+ cd "$srcdir"/$pkgname-$pkgver
+ update_config_sub || return 1
+}
+
build() {
cd "$srcdir"/$pkgname-$pkgver
./configure \
@@ -21,7 +26,17 @@ build() {
--with-fontdir=/usr/share/fonts/misc \
|| return 1
make || return 1
- make -j1 DESTDIR="$pkgdir" MKFONTDIR=: MKFONTSCALE=: install || return 1
}
-md5sums="e17d43a7c6c0d862cfba0908ff132ffa font-sun-misc-1.0.0.tar.bz2"
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make -j1 DESTDIR="$pkgdir" \
+ MKFONTDIR=: \
+ MKFONTSCALE=: \
+ FCCACHE=: \
+ install || return 1
+}
+
+md5sums="948f2e07810b4f31195185921470f68d font-sun-misc-1.0.3.tar.bz2"
+sha256sums="481f4fcbbf7005658b080b3cf342c8c76de752e77f47958b2b383de73266d2e0 font-sun-misc-1.0.3.tar.bz2"
+sha512sums="52c4a38e49a94831999652d9830da841949c319083ea40492e83690e1e5c2d31ea1979046a420af0e51bc105b8697bb06b4a438485e82b130d7469ad4519e275 font-sun-misc-1.0.3.tar.bz2"